<mat-card
  *transloco="let t"
  class="organization-contact-container">
  <mat-card-title class="bold headline-container">
    {{t('organization_forms.contact_data')}}
    <mat-icon *ngIf="isEditable" [color]="isDone ? 'accent' : 'warn'">{{isDone ? 'done' : 'block'}}</mat-icon>
  </mat-card-title>
  <div class="content-container">
    <div class="content-grid-container">
      <div class="column-container">
        <p class="bold">{{t('general_forms.address')}}</p>
        <span>{{organizationContactData?.street_name}} {{organizationContactData?.street_number}}</span>
        <p>{{organizationContactData?.zip_code}} {{organizationContactData?.place_name}}</p>
      </div>
      <div class="column-container">
        <p class="bold">{{t('organization_forms.department')}}</p>
        <p>{{organizationContactData?.department}}</p>
      </div>
      <div class="column-container">
        <p class="bold">{{t('general_forms.phone_number')}}</p>
        <p>{{organizationContactData?.phone_number}}</p>
      </div>
      <div class="column-container">
        <p class="bold">{{t('general_forms.email')}}</p>
        <p>{{organizationContactData?.email_address}}</p>
      </div>
      <div class="column-container">
        <p class="bold">{{t('general_forms.region')}}</p>
        <p>{{(organizationContactData?.country_code|codeToCountry|async)}}</p>
      </div>
      <div class="column-container">
        <p class="bold">{{t('general_forms.fax_number')}}</p>
        <p>{{organizationContactData?.fax_number}}</p>
      </div>
      <div class="column-container">
        <p class="bold">{{t('general_forms.website')}}</p>
        <a
          *ngIf="organizationContactData?.website"
          [href]="organizationContactData?.website"
          target="_blank"
          rel="noopener noreferrer">
            {{organizationContactData?.website}}
          </a>
      </div>
    </div>
    <button
      *ngIf="isEditable"
      mat-flat-button
      color="primary"
      class="round-button"
      (click)="editOrganizationContactDataClicked.emit()">
      {{t('general_forms.edit')}}
    </button>
  </div>
</mat-card>
